Change log for rkward package in Ubuntu

143 of 43 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-11-23
Deleted in disco-proposed (Reason: moved to release)
rkward (0.7.0b-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix shell error in debian/rules. Closes: #911710

 -- Christoph Biedl <email address hidden>  Sun, 28 Oct 2018 12:14:47 +0100
Superseded in disco-release on 2018-11-23
Published in cosmic-release on 2018-06-21
Deleted in cosmic-proposed (Reason: moved to release)
rkward (0.7.0b-1build1) cosmic; urgency=medium

  * No-change rebuild against libkf5doctools-dev.

 -- Simon Quigley <email address hidden>  Tue, 12 Jun 2018 15:16:20 -0500
Superseded in cosmic-proposed on 2018-06-12
rkward (0.7.0b-1) unstable; urgency=low
  * New upstream release
    Includes missing translation files in rkward-data
  * Replace kdoctools-dev dependency with libkf5doctools-dev
    closes: #895875
  * Depend on r-api-3.5 when built against r-base-core >= 3.5.0
  * Do not depend on r-api-3.4 when built against r-base-core < 3.4.0
  * Remove explicit specification of C compiler
    closes: #900591

 -- Thomas Friedrichsmeier <email address hidden>  Sat, 02 Jun 2018 09:00:00 +0100
Superseded in cosmic-proposed on 2018-06-03
rkward (0.7.0-1ubuntu1) cosmic; urgency=medium

  * Fix r-api-3.5 dependency

 -- Graham Inggs <email address hidden>  Fri, 01 Jun 2018 10:34:41 +0000

Available diffs

Superseded in cosmic-proposed on 2018-06-01
rkward (0.7.0-1build1) cosmic; urgency=medium

  * No-change rebuild for the r-api change.

 -- Matthias Klose <email address hidden>  Thu, 31 May 2018 14:28:03 +0000
Superseded in cosmic-release on 2018-06-21
Published in bionic-release on 2018-04-23
Deleted in bionic-proposed (Reason: moved to release)
rkward (0.7.0-1) unstable; urgency=low
  * New upstream release
  * The divergently licenced qwinhost-files are no longer part of this release,
    simplifying copyright
  * Package now based on kf5-libraries, instead of KDE 4
    closes: #531086
  * Add dependency on r-api-3.4 to ease handling of future non-compatible
    changes in R
    closes: #877283
  * Use dh_auto_configure for basic setup
  * Remove debian/rkward.menu, as package provides a FreeDesktop entry
  * Update VCS-browser, watch, and some other urls
  * Update standards version to 4.1.4
  * Add lintian overrides for r-data-without-readme-source and
    desktop-command-not-in-package
  * Make rkward binary package depend on identical version rkward-data package
  * Increase debhelper compat level to 11
  * Use SOURCE_DATE_EPOCH for build timestamp, instead of parsing changelog

 -- Thomas Friedrichsmeier <email address hidden>  Sat, 14 Apr 2018 13:00:00 +0100

Available diffs

Superseded in bionic-release on 2018-04-23
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
rkward (0.6.5-1) unstable; urgency=low
  * new upstream release
    (unchanged with respect to ~rc1)
  * fix debian/watch file
  * always use build-time version of r-base-core as runtime dependency, even
    if most builds would actually be backwards compatible
  * switch to dh-based rules file. This also fixes missing separation between
    arch-dependent and arch-independent build targets
  * Make build really reproducible (fix for earlier attempt upstream)
    closes: #783290

 -- Thomas Friedrichsmeier <email address hidden>  Mon, 04 Apr 2016 11:00:00 +0100

Available diffs

Superseded in yakkety-release on 2016-04-27
Published in xenial-release on 2015-12-27
Deleted in xenial-proposed (Reason: moved to release)
rkward (0.6.4-1) unstable; urgency=low
  * new upstream release
  * add override for false-positive source-is-missing lintian warnings
  * remove obsolete README.Debian file
  * increase debhelper compatibility level to 9 (no changes needed)
  * replace dh_clean -k with dh_prep
  * remove legacy rules dealing with R versions prior to 3.0.0
  * upstream has replaced KHTMLPart with QWebKit. As Qt4WebKit is scheduled for
    removal, revert this change, here. Change to 3.0 (quilt) format for this.
  * Make build reproducible (thanks to Philip Rinn)
    closes: #783290

 -- Thomas Friedrichsmeier <email address hidden>  Sat, 19 Dec 2015 21:10:00 +0100

Available diffs

Superseded in xenial-release on 2015-12-27
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-22 (Reason: moved to release)
rkward (0.6.2~rc1-2) unstable; urgency=low


  * bump standards version to 3.9.6 (no changes needed)

 -- Thomas Friedrichsmeier <email address hidden>  Fri, 17 Oct 2014 10:30:00 +0100

Available diffs

Superseded in vivid-release on 2014-11-04
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
rkward (0.6.1-1) unstable; urgency=low


  * upstream release 0.6.1-rc1 was made available as 0.6.1 without changes
  * new upload to build against R 3.0.0 on most architectures
  * when built against r-base-core >= 3.0.0, depend on r-base-core <= 3.0.0

 -- Thomas Friedrichsmeier <email address hidden>  Thu, 07 May 2013 12:30:00 +0100
Superseded in saucy-release on 2013-05-08
Deleted in saucy-proposed on 2013-05-09 (Reason: moved to release)
rkward (0.6.1~rc1-1build1) saucy; urgency=low

  * No-change rebuild against r-base-core 3.0.0.
 -- Colin Watson <email address hidden>   Mon, 29 Apr 2013 21:50:10 +0100
Superseded in saucy-release on 2013-04-30
Deleted in saucy-proposed on 2013-05-01 (Reason: moved to release)
rkward (0.6.1~rc1-1) unstable; urgency=low


  * new upstream release
  * re-add Vcs-Browser field
  * fix year in changelog (previous upload had 2012 instead of 2013)
  * add runtime dependency on r-base-core < 3.0.0 unless compiled with >= 3.0.0

 -- Thomas Friedrichsmeier <email address hidden>  Thu, 28 Mar 2013 09:30:00 +0100

Available diffs

Superseded in saucy-release on 2013-04-29
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
rkward (0.6.0-3) unstable; urgency=low


  * correctly treat -pre releases in debian/watch (thanks to Bart Martens)
  * remove obsolete DM-Upload-Allowed field
  * update Vcs-Svn field to changed repository URL
  * remove Vcs-Browser field, as there is no useful repository browser, ATM

 -- Thomas Friedrichsmeier <email address hidden>  Tue, 15 Jan 2012 12:30:00 +0100

Available diffs

Superseded in raring-release on 2013-01-15
Deleted in raring-proposed on 2013-01-17 (Reason: moved to release)
rkward (0.6.0-2) unstable; urgency=low


  * make sure to include CPPFLAGS and LDFLAGS in call to cmake
  * correct path to qwinhost files in debian/copyright
  * correct syntax in debian/copyright (thanks to Laszlo Kajan)
  
 -- Thomas Friedrichsmeier <email address hidden>  Sat, 24 Nov 2012 14:15:00 +0200

Available diffs

Superseded in raring-release on 2012-11-25
Deleted in raring-proposed on 2012-11-26 (Reason: moved to release)
rkward (0.6.0-1) unstable; urgency=low


  * new upstream release
  * remove support for building on Ubuntu hardy
  * more accurate copyright file
    closes: #689982
  * bump standards version to 3.9.4 (no changes needed)
  * Add Vcs-Browser and Vcs-Svn fields

 -- Thomas Friedrichsmeier <email address hidden>  Wed, 24 Oct 2012 15:30:00 +0200
Superseded in raring-release on 2012-10-30
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2012-01-23
rkward (0.5.7-2build1) precise; urgency=low

  * No changes. Rebuild against r-base-core.
 -- Leo Iannacone <email address hidden>   Mon, 23 Jan 2012 10:16:39 +0100

Available diffs

Superseded in precise-release on 2012-01-23
rkward (0.5.7-2) unstable; urgency=low

  * new upload to force rebuild against R 2.14.0~x on i386
    closes: #646047 (failure to load rkward package)
  * add dependency on r-base-core < 2.14 if built against R < 2.14.0

Available diffs

Superseded in precise-release on 2011-11-07
Obsolete in oneiric-release on 2015-04-24
rkward (0.5.6-1) unstable; urgency=low

  * new upstream release
  * remove empty directory removal rkwardtests/inst. Now fixed upstream.
  * remove man page links to rkward.bin and rkward.rbackend. These
    auxiliary binaries are no longer installed in the system path.
  * remove debian man page. Man page is now supplied upstream.
  * drop explicit dependency on libphonon-dev.
  * fix lintian warning "description-synopsis-starts-with-article"
  * bump standards version to 3.9.2 (no changes needed)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  31 May 2011 08:54:10 +0000

Available diffs

Superseded in oneiric-release on 2011-05-31
rkward (0.5.5-2) unstable; urgency=low

  * Remove empty directory rkwardtests/inst
    fixes FTBFS with (the current alpha of) R 2.13.0

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
rkward (0.5.4-1) unstable; urgency=low

  * new upstream release
  * bump standards version to 3.9.1 (no changes needed)
  * no more need to remove svncopy.sh-script in rules
 -- Bilal Akhtar <email address hidden>   Mon, 04 Oct 2010 14:30:00 +0200

Available diffs

Superseded in natty-release on 2010-10-17
Obsolete in maverick-release on 2013-03-05
rkward (0.5.3-2ubuntu1) maverick; urgency=low

  * doc/rkward/index.docbook:
    Bump doctype version 4.2 (fixes FTBFS).
 -- Michael Bienia <email address hidden>   Tue, 10 Aug 2010 22:12:41 +0200

Available diffs

Superseded in maverick-release on 2010-08-10
rkward (0.5.3-2) unstable; urgency=low

  * correct usage of hyphens vs. minus signs in the man page
  * correct the watch file
 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  19 May 2010 09:21:04 +0100

Available diffs

Superseded in maverick-release on 2010-05-19
rkward (0.5.3-1) unstable; urgency=low

  * new upstream release
    closes: #556321 (failed to link against thread-library, explicitly)
  * add watch file (thanks to Julien Lavergne and Scott Howard)
    closes: #569114
  * remove svncopy.sh-script included in upstream release tarball by accident
  * remove obsolete runtime dependency on php5-cli
  * add dependency on ${misc:Depends} as recommended by debhelper
  * bump standards version to 3.8.4 (no changes needed)
  * add Homepage field
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  09 May 2010 14:01:45 +0100

Available diffs

Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
rkward (0.5.2-1) unstable; urgency=low

  * new upstream release
    closes: #551306 (added support for the new dynamic help system)
  * Add "DM-Upload-Allowed: yes" in control
  * bump standards version to 3.8.3 (no changes needed)

Available diffs

Superseded in lucid-release on 2010-02-15
Obsolete in karmic-release on 2013-03-04
rkward (0.5.1-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #409316)
   - Don't open a terminal when rkward is launched (LP: #238231)
  * Drop inline patch on rkward/rkward.cpp. There is no message in the
    new version.
  * debian/control
   - Re-enable build-depends on cmake and libphonon-dev, upstream specify it
     in configuration and Debian want to keep it (see debian bug #531086).
  * debian/watch: Add.

 -- Julien Lavergne <email address hidden>   Tue, 11 Aug 2009 20:29:10 +0200

Available diffs

Superseded in karmic-release on 2009-08-13
rkward (0.5.0d-3ubuntu1) karmic; urgency=low

  * Merge from Debian (LP: #381765)
   - Fix plugin problem at startup (LP: #272527)
   - Re-enable editor for R-Scripts. (LP: #340217)
   - Fix starting page (LP: #294610)
   - Fix installation of the icons (LP: #186451)
  * Ubuntu remaining changes
   - Drop depends on cmake and libphonon-dev.
   - Disable information from upstream, modified rkward/rkward.cpp
     (LP: #318278)

Superseded in karmic-release on 2009-07-17
rkward (0.5.0d-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #375213)
  * Bump Standards-Version to 3.8.1
  * Drop cmake, libphon-dev from build-deps
  * Update maintainer field

 -- Alessandro Ghersi <email address hidden>   Mon, 11 May 2009 21:58:23 +0200

Available diffs

Superseded in karmic-release on 2009-05-12
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
rkward (0.5.0b-2) unstable; urgency=low

  * included libxft-dev, libxcursor-dev, and libsm-dev in build-deps
    closes: #483190 (No rule to make target `/usr/lib/libICE.so')
  * bumped Standard to 3.8.0

 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  14 Jun 2008 09:30:10 +0100

Available diffs

Superseded in intrepid-release on 2008-06-14
rkward (0.5.0b-1) unstable; urgency=low

  * new upstream release
    closes: #475175
    closes: #463348
    closes: #475982
    closes: #455709

Superseded in intrepid-release on 2008-05-27
rkward (0.4.9a-1) unstable; urgency=low

  * new upstream release
    closes: #475175
    closes: #463348
    closes: #475982

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 02:24:44 +0100
Obsolete in hardy-updates on 2015-04-24
Deleted in hardy-proposed on 2015-04-30 (Reason: moved to -updates)
rkward (0.4.9-2ubuntu0.1) hardy-proposed; urgency=low

  * Rebuild for the r-base transition (LP: #221399)
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Cesare Tirabassi <email address hidden>   Thu, 01 May 2008 00:09:12 +0200
Obsolete in gutsy-backports on 2011-09-16
rkward (0.4.9-2~gutsy1) gutsy-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
rkward (0.4.9-2) unstable; urgency=low

  * remove --ignore-missing-info parameter again (dpkg-shlibdeps 1.14.12 
    does not need it, anymore)
  * when uploaded to main archive, this
    closes: #460745
  * bumped standards to 3.7.3 (no changes necessary)

Superseded in hardy-release on 2008-01-23
rkward (0.4.8a-2) unstable; urgency=low

  * quote the R CMD config calls, as they may also contain compiler arguments (thanks to Meik Michalke for a patch)

Superseded in hardy-release on 2007-11-16
rkward (0.4.8-1) unstable; urgency=low

  * new upstream release
    closes: #417519
  * adjust rkward.menu to new naming policy

Superseded in hardy-release on 2007-11-15
Obsolete in gutsy-release on 2011-09-16
rkward (0.4.7a-1ubuntu1) gutsy; urgency=low

  * Add b-d for gfortran-4.1 (Fixes FTBFS)
  * Update maintainer per spec

 -- Barry deFreese <email address hidden>   Thu,  6 Sep 2007 13:48:18 -0400
Superseded in gutsy-release on 2007-09-06
rkward (0.4.7a-1) unstable; urgency=low

  * new upstream release
    closes: #422541
  * the code to generate the correct r-base-core dependencies should now be POSIX shell compliant
  * remove unused (and uncommented) dh_* scripts from rules

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  09 May 2007 14:01:22 +0100
Superseded in gutsy-release on 2007-05-09
rkward (0.4.7-2) unstable; urgency=low

  * explicitely create installation directory for rkward R package

Superseded in gutsy-release on 2007-04-27
Obsolete in feisty-release on 2009-08-20
rkward (0.4.2-2) unstable; urgency=low

  * migrate to unstable

Superseded in feisty-release on 2006-12-08
rkward (0.4.1-1) unstable; urgency=low

  * new upstream release
  * depend on either php4-cli or php5-cli

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  09 Nov 2006 17:51:40 +0000
Superseded in feisty-release on 2006-11-09
rkward (0.4.0-2) unstable; urgency=low

  * fix automatic build on 64bit architectures
    closes: #394112

Superseded in feisty-release on 2006-11-08
Obsolete in edgy-release on 2008-06-19
rkward (0.3.6-4) unstable; urgency=low

  * fix automatic build on alpha machines 
    patch provided by Martin Michlmayr <email address hidden>
    closes: #374005
  * bumbed to standards 3.7.2

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  20 Jun 2006 07:50:08 +0100
Superseded in edgy-release on 2006-06-20
rkward (0.3.6-3) unstable; urgency=low

  * first version to be uploaded to debian
    closes: #333392
  * Added Homepage to control file (changed by R.M.Rutschmann <email address hidden>)
  * fix detection of r-base-core dependency when compiled with r-base-core >= 2.3.0
  * clean up rules somewhat

143 of 43 results